网站菜单

随着VMware Workstation / Player 15.5.5的发布,VMware宣布支持启用了Hyper-V模式的Windows主机!就是VMware和Hyper-V虚拟机可以同时使用了,这是Microsoft和VMware的一个联合项目。

直接下载:
Workstation 15.5.5 Pro:Windows
Workstation 15.5.5 Pro:Linux

15.5.5版之前的VMware Workstation如何 工作?
传统上,VMware Workstation使用虚拟机监视器(VMM),该虚拟机以特权模式运行,需要直接访问CPU以及访问CPU的内置虚拟化支持(英特尔的VT-x和AMD的AMD-V)。当Windows主机启用基于虚拟化的安全性(“ VBS ”)功能时,Windows将在硬件和Windows之间添加基于Hyper-V的管理程序层。任何运行VMware传统VMM的尝试均会失败,因为VMM不在Hyper-V内部,无法再访问硬件的虚拟化支持。

引入用户级别监控器
为了解决此Hyper-V / Host VBS兼容性问题, VMware的平台团队重新设计了VMware的Hypervisor,以使用Microsoft的WHP API。这意味着将我们的VMM更改为在用户级别而不是特权模式下运行,并对其进行修改以使用WHP API管理来宾的执行,而不是直接使用底层硬件。

这对您意味着什么?
启用Hyper-V后, VMware Workstation / Player现在可以运行 。您不再需要在运行VMware Workstation和Windows功能(例如WSL,Device Guard和Credential Guard)之间进行选择 。当Hyper-V的启用,ULM模式将自动 被 使用,因此可以正常运行的VMware Workstation。如果您根本不使用Hyper-V,则VMware Workstation足够聪明,可以检测到这一点,并且将使用VMM。

系统要求
要使用Windows Hypervisor API运行Workstation / Player,最低要求的Windows 10版本是Windows 10 20H1内部版本19041.264。VMware Workstation / Player的最低版本为15.5.5。

显示评论 (1)

文章评论

  • 地球守护者

    太好了,解决了开了这两个的问题,但是要求,只限于Windows 10,要是Windows 8.1或其他的Windows 10,也能这样,就好了

    • 本文作者
    • 回复

相关推荐

绝对原汁原味!教你从微软官网下载 Win10 版本 2004 镜像

微软已经发布了 Windows 10 2004 新版系统,然而 Win10 2004 的升级却存在一些问题。例如某些设备会被判断为暂不兼容,无法通过 Windows Update 升级。而如果想要手动…

Windows Office 分享密钥 实时更新

密钥来源:https://www.aihao.cc/forum.php 程序自动提取论坛帖子中的密钥,检测结果自动更新。以下密钥仅适用Windows、Office批量授权版。如果安装的是零售版Offi…